rte_pci.h(3)

NAME
rte_pci.h

SYNOPSIS

#include <stdio.h>
#include <inttypes.h>
#include <sys/types.h>

  Data Structures

struct rte_pci_id
struct rte_pci_addr

  Macros

#define PCI_PRI_FMT '%.4' PRIx32 ':%.2' PRIx8 ':%.2' PRIx8 '.%' PRIx8
#define PCI_SHORT_PRI_FMT '%.2' PRIx8 ':%.2' PRIx8 '.%' PRIx8
#define PCI_FMT_NVAL 4
#define PCI_RESOURCE_FMT_NVAL 3
#define PCI_MAX_RESOURCE 6
#define RTE_PCI_ANY_ID (0xffff)
#define PCI_ANY_ID RTE_DEPRECATED(PCI_ANY_ID) RTE_PCI_ANY_ID

  Functions

void rte_pci_device_name (const struct rte_pci_addr *addr, char *output, size_t size)
int rte_pci_addr_cmp (const struct rte_pci_addr *addr, const struct rte_pci_addr *addr2)
int rte_pci_addr_parse (const char *str, struct rte_pci_addr *addr)

Detailed Description

RTE PCI Library

Definition in file rte_pci.h.

Macro Definition Documentation

  #define PCI_PRI_FMT '%.4' PRIx32 ':%.2' PRIx8 ':%.2' PRIx8 '.%' PRIx8
Formatting string for PCI device identifier: Ex: 0000:00:01.0

Definition at line 151 of file rte_pci.h.

  #define PCI_SHORT_PRI_FMT '%.2' PRIx8 ':%.2' PRIx8 '.%' PRIx8
Short formatting string, without domain, for PCI device: Ex: 00:01.0

Definition at line 155 of file rte_pci.h.

  #define PCI_FMT_NVAL 4
Nb. of values in PCI device identifier format string.

Definition at line 158 of file rte_pci.h.

  #define PCI_RESOURCE_FMT_NVAL 3
Nb. of values in PCI resource format.

Definition at line 161 of file rte_pci.h.

  #define PCI_MAX_RESOURCE 6
Maximum number of PCI resources.

Definition at line 164 of file rte_pci.h.

  #define RTE_PCI_ANY_ID (0xffff)
Any PCI device identifier (vendor, device, ...)

Definition at line 189 of file rte_pci.h.

  #define PCI_ANY_ID RTE_DEPRECATED(PCI_ANY_ID) RTE_PCI_ANY_ID

Deprecated
    Replaced with RTE_PCI_ANY_ID

Definition at line 191 of file rte_pci.h.

Function Documentation

  void rte_pci_device_name (const struct rte_pci_addr * addr, char * output, size_t size)
Utility function to write a pci device name, this device name can later be used to retrieve the corresponding rte_pci_addr using rte_pci_addr_parse().

Parameters
    addr The PCI Bus-Device-Function address
    output The output buffer string
    size The output buffer size

  int rte_pci_addr_cmp (const struct rte_pci_addr * addr, const struct rte_pci_addr * addr2)
Utility function to compare two PCI device addresses.

Parameters
    addr The PCI Bus-Device-Function address to compare
    addr2 The PCI Bus-Device-Function address to compare

Returns
    0 on equal PCI address. Positive on addr is greater than addr2. Negative on addr is less than addr2, or error.

  int rte_pci_addr_parse (const char * str, struct rte_pci_addr * addr)
Utility function to parse a string into a PCI location.

Parameters
    str The string to parse
    addr The reference to the structure where the location is stored.

Returns
    0 on success <0 otherwise

Author

Generated automatically by Doxygen for DPDK from the source code.